By using this site you agree to the use of cookies for analytics, personalised content and ads. Read more

Upgrade support for users on 10.6 and above

This topic has been archived. To keep discussions in the Skype Community relevant we archive topics that haven't seen activity in the past 6 months. Read more about about archiving
Novel Adventurer

The link to download earlier version of skype only downloads the latest version (automatically), and offers no way to download the version that works in 10.6.x. Every time i visit http://www.skype.com/en/download-skype/skype-for-mac/downloading/, it downloads another copy at 50MB. Btw, I pay for internet access by the MB, but it's fast, so I can't stop it in time.

 

http://download.skype.com/macosx/Skype_6.15.0.334.dmg

is currently accesible directly (but http://download.skype.com/macosx/ is not).

 

More importantly, http://www.skype.com/en/download-skype/skype-for-computer/

lists system requirements as 10.5.8 +, but actually requires 10.9 !!!

Message 121 of 192 (957 Views)
Community Manager

jfic wrote:

The link to download earlier version of skype only downloads the latest version (automatically), and offers no way to download the version that works in 10.6.x. Every time i visit http://www.skype.com/en/download-skype/skype-for-mac/downloading/

 Are you using the Safari browser of your system to access this page? The OS detection works most reliable with Safari.

Also you already mentioned the 6.15 download link above that works on your Mac OS 10.6. Why aren't you using that?


jfic wrote:

 

More importantly, http://www.skype.com/en/download-skype/skype-for-computer/

lists system requirements as 10.5.8 +, but actually requires 10.9 !!!


 The requirements for the latest Skype version are 10.9, but you can user older versions on Mac OS versions down to 10.5.8. 


Found a helpful message? Give it a Kudo below to say "thanks" ¦ Latest Community News
Did my reply answer your question? Accept it as a solution to help others, Thanks.
Message 122 of 192 (919 Views)
Casual Adventurer
Yes this is pretty much the same problem i have. The link for Mac 10.7 gives me the most recent Skype version, not one that works with 10.7.

What version of Safari should i have?

Adam
Message 123 of 192 (890 Views)
Novel Adventurer

Ah, that explains it. I take care of my parent's computers, so i download and distribute from mine. The auto-sensing wizardry makes that impossible, which would be fine if there were some explanation. 

 

I have archives of multiple versions of skype, and had experimented to find the latest version that worked on 10.6. I'm running 10.9.

 

---

Make sure you're running the latest version For Your System, not simply the latest version.

 

Clarity is essential to understanding.

Message 124 of 192 (874 Views)
Casual Tourist

hi.

 

sorry to say, but this last update thing -  i really call bad customer policy.

1) out of the blue you make »funct« software »defunct«. forcing people to »upgrade«.

2) the available download on frontpage is not compatible with the system (build 6.19.0.442 with osX 10.8.5)

3) no info on that page that one has to get another version. to receive that info one has to go to community and find the right thread.

 

conclusion:

what a waste of my lifetime! that is annoying and ignorant behavour by skype

best, hagen


Community Manager

Hallo Hagen and all other users that have trouble getting the right Skype version,

 

If you are on Mac OS 10.6, 10.7 or 10.8 please use this link to download the right version for your Mac OS version: http://download.skype.com/macosx/Skype_6.15.0.334.dmg


Found a helpful message? Give it a Kudo below to say "thanks" ¦ Latest Community News
Did my reply answer your question? Accept it as a solution to help others, Thanks.
Message 126 of 192 (850 Views)
Novel Adventurer

Hello

 

I have just been compelled to upgrade my version of skype, but there is a problem with the new version: it does not work with somebody who still is on a Mac 10.4.11. So up until now, I had two different versions of skype on my computer, the latest one and an older one enabling me to skype with my mum who is on an old Mac. With the new version I have no choice but to use it and it is now impossible to skype with my mum, we can hear one another but there is no image!

 

Is there a solution to this problem? there is no way to upgrade the skype version on the Mac 10.4.11 (it has  skype 2.8.0.866) and the latest version on my computer is not compatible and I can no longer use the older version!

Please help me

Community Ambassador

Skype 6.3 running on OS 10.5.8 using an Intel processor is the lowest version supported.  Skype 2.8 was the last version released to support the PowerPC processor.  So if you are running an older OS especially if it's due to the processor, there is no Skype solution for that platform.  Some people in the Community have tried forcing an older version to run.  I do not know how successful they are nor how permanent such a workaround would be.

Message 128 of 192 (803 Views)
Casual Adventurer

Thanks you!  This works for OS 10.7.

Message 129 of 192 (799 Views)
Highlighted
Casual Tourist

thanks Claudio for your link after 2 weeks of trying to fix the problem with skype and mac upgraded I followed your link and reinstalled it, and now it is working, thanks for your help!

Message 130 of 192 (777 Views)